The Debian package management system that powers most software installs.

learn more… | top users | synonyms

0
votes
0answers
146 views

sudo apt-get install command is not working properly

Initially I was trying to uninstall MAAS. While uninstalling my laptop hanged, so I had to force restart my laptop. Since then my apt-get command has not been working properly. :~$ sudo apt-get purge ...
0
votes
1answer
35 views

package manager odd behavior after ubuntu failed update wich included an nginx update

So, yesterday I updated ubuntu and that included an nginx update, the process warned about diffs/changes to the default file under sites-available, I reviewed the changes and prepared a new file which ...
0
votes
0answers
101 views

upgrade from 14.04LTS to 14.10 error

i just upgraded from 14.04LTS to 14.10 and it looked like it went ok.. Then i ran apt-get-upgrade to see if there was any lingering upgrades and i got message saying there was 1386 upgrades available ...
0
votes
0answers
253 views

Why does dpkg fail with “unable to execute new pre-installation script (…): Permission denied”?

When I type sudo apt-get install -f on the terminal, I get following error: prathamesh@Tamhane:~$ sudo apt-get install -f Reading package lists... Done Building dependency tree Reading state ...
0
votes
1answer
786 views

Failed update 14.04 server version 3.13.0-39

I tried to upgrade my 14.04 server using dist-upgrade. Unfortunately the update failed and after some manual tinkering myself with broken packages I am kind of out of ideas. I already tried to ...
0
votes
1answer
450 views

Problem with installing bumblebee in Ubuntu 14.10

I am getting the following error while installing bumblebee in Ubuntu 14.10: rajamalw@AMAL-WORKSTATION:~$ sudo apt-get install bumblebee-nvidia Reading package lists... Done Building dependency tree ...
0
votes
1answer
133 views

mariadb 10 install error on ubuntu 14.04

when trying to install mariadb on ubuntu 14.04 dpkg: error processing archive /var/cache/apt/archives/libmysqlclient18_10.0.14+maria-1~trusty_amd64.deb (--unpack): libmysqlclient18:amd64 ...
0
votes
1answer
53 views

dpkg returns to error code one

I had a proble with dpkg before and I corrected it using this answer. After correcting that issue everything was good. But now dpkg has another problem sudo apt-get install xix-media-playe Reading ...
0
votes
1answer
49 views

How to correct dpkg

I have a problem with dpkg. When I try to install software it gives error code E: Sub-process /usr/bin/dpkg returned an error code (100) Output of ls -la /usr/bin/dpkg: ls: cannot access ...
0
votes
0answers
39 views

List packages by section [duplicate]

I can run these commands to show the "Section" of certain packages $ apt-cache show bash | grep Section Section: shells $ apt-cache show procps | grep Section Section: admin I would like a command ...
2
votes
1answer
215 views

Getting error with dpkg

I recently upgrade my 14.04 server to 14.10 and I got this error message during the upgrade: Setting up sysv-rc (2.88dsf-41ubuntu18) ... info: Reordering boot system, log to ...
0
votes
0answers
42 views

After creating a .deb: dpkg:warning while removing, directory /usr/local/bin not empty so not removed

I have created a package of zsh 5.0.7 from sources and now I can install it successfully but when I try to remove it I get this: $ sudo dpkg -i zsh_5.0.7_amd64.deb Selecting previously unselected ...
0
votes
1answer
1k views

“cannot create /etc/apt/sources.list.d/getdeb.list: Directory nonexistent” while upgrading getdeb-repository package

whenever I try to intall any packages the following bug comes up (OS in ubuntu 14.04). anil@anil-HP-15-Notebook-PC:~$ sudo apt-get upgrade [sudo] password for anil: Reading package lists... ...
0
votes
1answer
336 views

Building ffmpeg deb package gives fakeroot debian/rules clean gave error exit status 2

I am trying to build my first .deb package (with ffmpeg sources) and I get some errors. Those are my steps that can be reproduced to get this error: git clone git://source.ffmpeg.org/ffmpeg.git ...
0
votes
0answers
29 views

Can't build new .deb package

I'm trying to create a new .deb package, but the build fails with the following output: dpkg-genchanges: error: binary build with no binary artifacts found; cannot distribute dpkg-buildpackage: ...
0
votes
2answers
16 views

Installing packages without docs

I want to install a bunch of packages, but I don't want to install the documentation of them. How can I do this?
0
votes
0answers
76 views

“Syntax error: ”(“ unexpected invoke-rc.d:” when installing the i8kutils package

When I install same application get that error; Setting up i8kutils (1.41) ... /etc/init.d/i8kmon: 1: /etc/default/i8kmon: Syntax error: "(" unexpected invoke-rc.d: initscript i8kmon, action ...
0
votes
0answers
39 views

What is Not installed (residual config) in synaptic manager? [duplicate]

When I open synaptic package manager, I found some packages under status - Not installed(residual config) as below screen-shot: I want to know that what are these packages/configs? Why it is called ...
0
votes
1answer
180 views

Not able to install nginx on ubuntu 14.04

I keep getting this error while installing nginx on 14.04 sudo apt-get install nginx [sudo] password for : Reading package lists... Done Building dependency tree Reading state information... ...
1
vote
2answers
89 views

Terminal states ipython not installed despite being installed

I installed ipython using python-pip. Here is the traceback : user@MY-PC:~$ sudo pip install ipython [sudo] password for user: Downloading/unpacking ipython Downloading ...
0
votes
0answers
39 views

Lubuntu System upgrade error[1] - What does it mean

Lubuntu, 14.04 version loaded on a laptop. Upgrade with the sudo syntax. Upgrade proceeds but I don't think the upgrades is complete. I keep getting an error code at the very end that says the ...
0
votes
3answers
92 views

Software update issue using terminal in Ubuntu 14.04

I have been getting this error ever since I messed up my repository list and updated to xubuntu DE on ubuntu 14.04 LTS. I also tried updating the sources.list file. I also tried removing the package ...
1
vote
1answer
39 views

How to tweak “dpkg -l” output

I need the fields returned by dpkg -l to be tab separated but without the headers and the "ii" column. The default output: $ dpkg -l grep Desired=Unknown/Install/Remove/Purge/Hold | ...
0
votes
0answers
73 views

Package operation failed ubuntu 14.04. Can't upgrade

Hello I upgraded to Ubuntu 14.04. But now I'm having troubles every time I try to upgrade my packages. I also found that the upgrade destroyed my Latex and texmaker installations. I'm attaching the ...
0
votes
0answers
20 views

How does package configuration work during ISO installation?

I am creating my own custom Ubuntu 14.04 ISO, with a different set of packages. I am using debootstrap for this purpose, which creates a basic system in a chroot (fakechroot in my case) that is ...
0
votes
1answer
621 views

“Package linux-image-generic is not configured yet.” Error

When I try to upgrade via terminal sudo apt-get upgrade this errors occurred: Reading package lists... Done Building dependency tree Reading state information... Done Package ...
0
votes
0answers
47 views

While Installatiog viber.deb with dpkg stopped with error

I tried to install and got this error: sh@Notebook-PC:~$ sudo dpkg --install viber.deb [sudo] password for sh: (Reading database ... 319492 files and directories currently installed.) Preparing to ...
0
votes
0answers
9 views

How to refresh the status file

So, I had installed jdk7 and jd6 both on my ubuntu. I was trying to work with maven and it posed some version problems, so I thought I'd remove the jdk6 and then work again. I tried to install jdk 7 ...
1
vote
1answer
23 views

How to parallelize dpkg for large dkms packages?

A lot of dkms modules which are installed as apt packages (e.g. zfs-dkms and openafs-modules-dkms) need a lot of time to build (> 5 minutes) and don't use any parallelization (at least not ...
2
votes
1answer
56 views

Errors were encountered while processing linux-image-3.2.0-54-virtual

I'm trying to install python-dev and I keep getting this error. What is going on? ubuntu@ip-XX-XXX-XXX-XX:~$ sudo apt-get install python-dev Reading package lists... Done Building dependency tree... ...
1
vote
2answers
482 views

Problem installing any new packages in Ubuntu because of python [closed]

I am having trouble installing any new packages in Ubuntu because of python. I tried sudo apt-get install python3 python3-dev but I am getting the following output :: Reading package lists... ...
0
votes
0answers
555 views

14.04 E: Sub-process /usr/bin/dpkg returned an error code (1) after upgrade to 14.04 [duplicate]

Настраивается пакет linux-image-3.13.0-37-generic (3.13.0-37.64) … Running depmod. update-initramfs: deferring update (hook will be called later) The link /initrd.img is a dangling linkto ...
0
votes
0answers
131 views

openjdk-7-jre-headless issue prevents updates/installs

was running 12.04 x64 just fine, decided to upgrade to 14.04. Several apps I use were not updated and were removed at the upgrade. ~$ uname -a Linux xxxyyy 3.13.0-34-lowlatency #60-Ubuntu SMP PREEMPT ...
0
votes
0answers
68 views

apt-get -f install error code (prozilla) [duplicate]

I'm sure there's a super simple solution, but I'm not entirely certain what's wrong and my best guesses are below. All I know is I can't install anything else at all due to this error. I don't need ...
1
vote
1answer
45 views

How to remove “dpkg -l” line with “in” for unwanted i386 package on amd64 system?

I will really appreciate your help with this. When I run dpkg -l bash, I get this: Desired=Unknown/Install/Remove/Purge/Hold | ...
0
votes
1answer
171 views

dpkg add armhf architecture doesn't work - 404 not found

Inside a new ubuntu 14.04 docker container I'm trying to add the armhf architecture to dpkg in order to install some armhf libraries using apt-get. As a result of running: root@2a5e4bdf05b7:/# dpkg ...
0
votes
0answers
238 views

dpkg: error processing package libapache2-mod-php5

I have a problem at moment of use my apt-get/aptitude package manager When I want install some packages I get the following output: sudo aptitude install libxslt1.1 libxml2 The following partially ...
1
vote
2answers
244 views

Can't install anything on ubuntu 14.04 nor updates

installArchives() failed: (Reading database ... (Reading database ... 5% (Reading database ... 10% (Reading database ... 15% (Reading database ... 20% (Reading database ... 25% (Reading database ...
0
votes
1answer
29 views

dpkg completely broken? It does not recognize root

When I install a package as root: Setting up grub-pc (1.99-21ubuntu3.17) ... /usr/bin/ucf: line 341: test: !=: unary operator expected /usr/bin/ucf: line 630: test: =: unary operator expected ucf: ...
0
votes
1answer
46 views

Unable to install anything, filename too short

I'm fairly new to the Linux scene (installed yesterday), but have been having problems ever since. I've managed to get my touchpad working (for now), but am now unable to install anything. I have ...
1
vote
0answers
20 views

How to get previously install package information?

Is there a way using dpkg, apt, logs, or any thing else, where I can query/retrieve previously installed versions of an application? I don't care about which previous versions were available up to the ...
2
votes
0answers
175 views

Wine not installing, no matter what

Alright guys, here's the deal. I'm on ubuntu 14.04 xfce version, running on an Acer C270 Chromebook with crouton. This is a clean install of Ubuntu, not upgraded from a previous version, nor did it ...
1
vote
0answers
77 views

Can't upgrade for this E: Sub-process /usr/bin/dpkg returned an error code (1) [closed]

Errors were encountered while processing: libdbus-1-3:amd64 libck-connector0:amd64 upstart dbus libgnomevfs2-0:amd64 libgnome2-0:amd64 libgps20:amd64 consolekit libpolkit-qt-1-1 dbus-x11 ...
0
votes
0answers
21 views

Recent app install won't show up [duplicate]

I'm having the next problem. I never learned how to install .tar.gz files, so I installed Alien and convert the .tar files to .deb and install the apps with software center or by terminal. The problem ...
1
vote
2answers
234 views

Wine installation on Ubuntu 14.04 failed

Installation of wine failed, since migration on Ubuntu 14.04 (from 12.04). I precise that i have tried many things commonly suggest including : sudo apt-get clean sudo apt-get autoclean sudo apt-get ...
1
vote
1answer
96 views

dpkg is installing the wrong version of a package

I'm attempting to upgrade Graphicsmagick on Ubuntu 12.04 from 1.3.12 to 1.3.18 or newer. I tried to install it following these instructions, but Graphicsmagick did not upgrade and remained 1.3.12. I ...
0
votes
0answers
82 views

Unable to install GCDemu in Trusty Tahr

After trying to install gcdemu from ppa I always get this error and im unable to install it I get this error (synaptic:6595): GLib-CRITICAL **: g_child_watch_add_full: assertion 'pid > 0' failed ...
1
vote
1answer
109 views

Corrupt dpkg status file

After upgrading my system last week the S hits the Fan. Looked al over the forun but did'nt got the answer to solve my problem. Within DPKG the "status" file was corrupt, back-ups where empty so tried ...
0
votes
1answer
49 views

apt-get upgrade does not consider manually built and installed packages

I tried the following, since I apply custom patches to some packages: When apt-get upgrade shows packages to upgrade, I download the sources using apt-get source, apply my patches, rebuild, install ...
0
votes
0answers
95 views

I can't install unity8-desktop-session-mir

I try to install unity 8 on ubuntu trusty but when I type this command sudo apt-get install unity8-desktop-session-mir , it not work and return this error: Reading package lists... Done Building ...